%define upstream_name    Devel-Refcount
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Obtain the REFCNT value of a referent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
This module provides a single function which obtains the reference count of
the object being pointed to by the passed reference value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1025593
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 957176
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-6.mga6
+ Revision: 843824
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 747346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 684331
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-3.mga5
+ Revision: 631078
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 537065
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 486214
- update to 0.10

* Wed May 29 2013 tv <tv> 0.90.0-4.mga4
+ Revision: 430045
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-3.mga3
+ Revision: 365798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 250535
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106819
- update to 0.09

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-3.mga2
+ Revision: 104183
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 30142
- mageia rebuild
- imported package perl-Devel-Refcount


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-2mdv2011.0
+ Revision: 555238
- rebuild

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 494441
- update to 0.07

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 395362
- update to 0.06

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 390464
- import perl-Devel-Refcount


* Mon Jun 29 2009 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist

